;=======================================
;  CVASM16 INCLUDE FILE for the 12C509
;      Copyright (c) 2001 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04/23/01
;=======================================

                     DEVCODE    00509h      
                     ROMSIZE    1024        
                     EESIZE     0           
                     CORE       _12bit      
                     PAGEBIT    1           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
OSCCAL               EQU        0005h       
GPIO                 EQU        0006h       


;=======================================
;  GPIO Register BIT Definitions 
;=======================================
GP5                  EQU        GPIO.5      
GP4                  EQU        GPIO.4      
GP3                  EQU        GPIO.3      
GP2                  EQU        GPIO.2      
GP1                  EQU        GPIO.1      
GP0                  EQU        GPIO.0      


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
GPWUF                EQU        STATUS.7    
PA0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_MCLRE_ON            EQU        0FFFh       
_MCLRE_OFF           EQU        0FEFh       
_CP_ON               EQU        0FF7h       
_CP_OFF              EQU        0FFFh       
_WDT_ON              EQU        0FFFh       
_WDT_OFF             EQU        0FFBh       
_LP_OSC              EQU        0FFCh       
_XT_OSC              EQU        0FFDh       
_IntRC_OSC           EQU        0FFEh       
_ExtRC_OSC           EQU        0FFFh       
